/** Fonctions C/C++ utilisées
  *
  * @author     Nemesis (nemesis_tt@yahoo.fr)
  * @version    26/05/04
  */

public class Librairie {

    static String nom = "Patcheur";

// Fonctions externes
// ------------------
    public static native int imageCD_init(String source, String dest);
    public static native int imageCD_readSector(int i);
    public static native int imageCD_close();
    public static native int imageCD_nbSectors();
    public static native int imageCD_testDrive(char s);
    
    public static native int dumpRein_init(String iso);
    public static native int dumpRein_dump(int room_num);
    public static native int dumpRein_rein(int room_num);
    public static native int dumpRein_close();
    
    public static native int cpt_decompression(String fichier);
    public static native int cpt_compression(String fichier);
    
    public static native int drp_decompression(String fichier);
    public static native int drp_compression(String fichier);
    
    public static native int ips_appliquer(String fichier);

// Bibliothèque associée
// ---------------------
    static {
        try {
            System.loadLibrary(nom);
        } catch (java.lang.UnsatisfiedLinkError e) {
            // Type d'exception déjà chargée...
        }
    }
}
